// Copyright (c) 2014, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

/// Alternative implementation for loading initializers that avoids using
/// mirrors. Unlike `mirror_loader` this is used for deployed applications to
/// avoid any dependence on the mirror system.
library polymer.src.static_loader;

/// Set of initializers that are invoked by `initPolymer`.  This is initialized
/// with code automatically generated by the polymer transformers. The
/// initialization code is injected in the entrypoint of the application.
List<Function> initializers;

/// True if we're in deployment mode.
// TODO(sigmund): make this a const anda rem ove the assignment in
// configureForDevelopment when our testing infrastructure supports calling pub
// build.
bool deployMode = true;
